Bug 25889 - pam_unix.so prevents pam_ldap.so from updating passwords
Summary: pam_unix.so prevents pam_ldap.so from updating passwords
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard: Florence RC-1
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-03 20:01 UTC by Christopher Barton
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-05 22:50:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Christopher Barton 2001-02-03 20:01:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


This works in Guinness.

passwd fails when system is configured with authconfig for LDAP.  With or 
without TLS.  I've tried OpenLDAP & iPlanet, so the server doesn't seem to 
be the problem.

passwd hangs forever after new password is successfully entered.

Reproducible: Always
Steps to Reproduce:
1. Setup LDAP server & client for LDAP authentication
2. Login to LDAP client with posixAccount on LDAP Server
3. Type passwd, enter curernt password, pick a new one twice
4. Cry
	

Actual Results:  Nothing happens (this is bad).

Expected Results:  LDAP server should get an updated password, passwd 
should return instead of hang.

Comment 1 Christopher Barton 2001-02-03 20:57:30 UTC
Server & client are separate machines, both i386 Fisher.

Comment 2 Christopher Barton 2001-02-03 21:05:06 UTC
This most likely has to do with the fact 
that /usr/share/openldap/migration/migrate_passwd.pl produces userPassword LDAP 
attributes that start with {CRYPT} but these somehow get mangled by the time 
the hash goes into the LDAP server.

Comment 3 Christopher Barton 2001-02-04 05:19:00 UTC
My previous additional comment is lame, please ignore it.

When I comment password /lib/security/pam_unix.so ... out of
/etc/pam.d/system-auth, I can once again update passwords with LDAP.  I guess
the bug is related to pam & pam_unix more than a problem in pam_ldap.

This is still an annoying bug, but maybe not one for nalin.

Comment 4 Christopher Barton 2001-02-04 20:36:31 UTC
When I replace /lib/security/pam_unix.so in Fisher with pam_unix.so from
Guinness, the bug disappears.

You can probably safely consider this a pam bug.  I guess nalin gets those too?
 Busy guy. :)

Comment 5 Glen Foster 2001-02-05 22:50:36 UTC
We (Red Hat) should really try hard to fix this before next release.

Comment 6 Nalin Dahyabhai 2001-02-06 00:31:14 UTC
Thinko in pam_unix's password-changing code.  Should be fixed in pam-0.74-5,
coming soon to a Raw Hide snapshot (ftp://ftp.redhat.com/pub/rawhide/) near you.

Please reopen this bug if you find this continues to be a problem after applying
the update.  Thanks!

Comment 7 Christopher Barton 2001-02-06 01:34:16 UTC
Will definitely do, thanks!


Note You need to log in before you can comment on or make changes to this bug.